---
updatedAt: 2025-09-14T23:46:11.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/v11.14.0/llms.txt
---

# Creates a new mac application by ID

Does not support vpp codes.

```xml Sample Request Body
<mac_application>
	<general>
		<name>TextWrangler.app</name>
		<version>5.5.2</version>
		<is_free>true</is_free>
		<bundle_id>com.barebones.textwrangler</bundle_id>
		<url>https://itunes.apple.com/us/app/textwrangler/id404010395?mt=12&amp;amp;uo=4</url>
		<category>
			<id>-1</id>
			<name>Unknown</name>
		</category>
		<site>
			<id>-1</id>
			<name>None</name>
		</site>
	</general>
	<scope>
		<all_computers>false</all_computers>
		<all_jss_users>false</all_jss_users>
	</scope>
	<self_service>
		<install_button_text>Install</install_button_text>
		<self_service_description>Installs the TextWrangler application</self_service_description>
		<force_users_to_view_description>true</force_users_to_view_description>
		<self_service_icon></self_service_icon>
		<feature_on_main_page>true</feature_on_main_page>
		<self_service_categories></self_service_categories>
		<notification>string</notification>
		<notification_subject>TextWrangler is Available to Install</notification_subject>
		<notification_message>You can install TextWrangler by clicking this link or going to Self Service</notification_message>
		<vpp>
			<assign_vpp_device_based_licenses>false</assign_vpp_device_based_licenses>
			<vpp_admin_account_id>-1</vpp_admin_account_id>
		</vpp>
	</self_service>
</mac_application>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.12.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "paths": {
    "/macapplications/id/{id}": {
      "post": {
        "x-explorer-enabled": false,
        "tags": [
          "macapplications"
        ],
        "summary": "Creates a new mac application by ID",
        "description": "Does not support vpp codes.",
        "operationId": "createMacappById",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "ID value to filter by",
            "schema": {
              "type": "integer",
              "default": 0
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Created"
          }
        }
      }
    }
  },
  "x-si-base": "swagger.yaml",
  "x-github-repo": "jamf/Classic-API-Swagger-Specification",
  "x-github-sha": "070fac498a589aaa0958641a68e4065584fc244a",
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```